<template>
  <div
    data-component-group="auth-notification"
    data-component="join-account"
  >
    <span class="component-title">
      {{ $t('views.join_account.join_account_notification.title') }}
    </span>
    <div class="component-content">
      <p>
        <i18n
          path="views.join_account.join_account_notification.content"
          tag="label"
          for="action"
        >
          <strong v-html="businessName"></strong>
        </i18n>
      </p>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      businessName: {
        type: String,
        required: true
      }
    }
  };
</script>

<style lang="stylus" scoped>
  [data-component-group="auth-notification"] {
    &[data-component="join-account"] {
      width: 100%;
      padding: 50px 0 0 0;

      > .component-title {
        display: inline-block;
        font-size: 28px;
        font-weight: 800;
        margin: 0 0 20px 0;
      }

      > .component-content {
        white-space: pre;
      }
    }
  }
</style>
